MrSID Decode SDK for Raster Reference Manual 9.5.4.4709

- Main Page
- Namespaces
- Classes
- Files
- Examples

- File List
- File Members

Functions
lt_utilStatusStrings.h File Reference

Status code / error string support. More...

`#include "lt_base.h"`
Include dependency graph for lt_utilStatusStrings.h:

Go to the source code of this file.

## Functions
const char * | getRawStatusString (LT_STATUS code)
| return a "raw" status string More...
const char * | getLastStatusString (LT_STATUS code)
| return a formatted status string More...
LT_STATUS | initializeStatusStrings ()
| initialize the status strings reporting system More...
LT_STATUS | terminateStatusStrings ()
| close out the status strings reporting system More...

## Detailed Description

These functions allow the user to access strings which correspond to status codes returned by LizardTech functions.

Definition in file lt_utilStatusStrings.h.

## Function Documentation

const char* getLastStatusString | ( | LT_STATUS | code) |  |

This function returns the string for the given status code. Any format specifiers in the string will be expanded (interpolated) using the data on the error stack (see LTUtilStatusData).

Parameters

  code | the status code

Returns
  the string for the status code

Examples:
  ErrorHandling.cpp.

const char* getRawStatusString | ( | LT_STATUS | code) |  |

This function returns the string for the given status code. Any format specifiers in the string will not be interpolated using the error stack (see LTUtilStatusData).

Parameters

  code | the status code

Returns
  the string for the status code

LT_STATUS initializeStatusStrings | ( | ) |  |

Applications should call this once prior to any other LizardTech functions, to enable the error reporting system. If not called, then any calls to pushData() will be no-ops, and the integral status code will map to an unintepreted string.

Returns
  success or failure status code

Examples:
  ErrorHandling.cpp.

LT_STATUS terminateStatusStrings | ( | ) |  |

Applications should call this once after all other LizardTech functions have been called, to clean up memory.

Returns
  success or failure success code

Examples:
  ErrorHandling.cpp.

LizardTech